clear

set mem 500m

insheet using "subjects_complete.csv", delimiter(";") clear
set more off
set more off, permanently

do "do_files\Label Definitions.do"

* sessionid
label variable sessionid "Session ID"
label values sessionid lb_sessionid
notes sessionid : Date and starting time of session


drop treatment_type


*decisionid1
label variable decisionid1 "Decision ID 1"
notes decisionid1: Treatment_Period_Group_Type

*decisionid2
label variable decisionid2 "Decision ID 2"
notes decisionid2: Treatment_Group_Type_Period

*decisionid3
label variable decisionid3 "Decision ID 3"
notes decisionid3: Treatment_Group_Period

*groupid
label variable groupid "Group ID"
notes groupid: Treatment_Group

*subjectid
label variable subjectid "Subject ID"
notes subjectid: Treatment_Group_Type

*treatment
label variable treatment "Treatment"
label values treatment lb_treatment


*period
label variable period "Period"

*type
label variable type "Type"
label values type lb_type

*subject
label variable subject "Subject ID in session"

*profit
label variable profit "Profit in current period"

*totalprofit
label variable totalprofit "Sum of profits from current and all previous period"

*opt_x
label variable opt_x "x-coordinate of ideal point of player"

*opt_y
label variable opt_y "y-coordinate of ideal point of player"

*opt_x1
label variable opt_x1 "x-coordinate of ideal point of player A"

*opt_y1
label variable opt_y1 "y-coordinate of ideal point of player A"

*opt_x2
label variable opt_x2 "x-coordinate of ideal point of player B"

*opt_y2
label variable opt_y2 "y-coordinate of ideal point of player B"

*opt_x3
label variable opt_x3 "x-coordinate of ideal point of player C"

*opt_y3
label variable opt_y3 "y-coordinate of ideal point of player C"

*opt_x4
label variable opt_x4 "x-coordinate of ideal point of player D"

*opt_y4
label variable opt_y4 "y-coordinate of ideal point of player D"

*opt_x5
label variable opt_x5 "x-coordinate of ideal point of player E"

*opt_y5
label variable opt_y5 "y-coordinate of ideal point of player E"

*agendasetter
label variable agendasetter "Proposer in period"
label values agendasetter lb_type

*proposer
label variable proposer "Is player proposer in period?"
label values proposer lb_yes_no

*prop_x
label variable prop_x "x-coordinate of proposed point"
label values prop_x lb_prop

*prop_y
label variable prop_y "y-coordinate of proposed point"
label values prop_y lb_prop

*prop_ucset
label variable prop_ucset "Does proposal lie inside uncovered set?"
label values prop_ucset lb_prop_ucset

*prop_sureuc
label variable prop_sureuc "Confidence in coding of prop_UCset"
label values prop_sureuc lb_prop_sureuc

*sq_x
label variable sq_x "x-coordinate of status quo in period"

*sq_y
label variable sq_y "y-coordinate of status quo in period"

*sq_ucset
label variable sq_ucset "Does status quo lie inside uncovered set?"
label values sq_ucset lb_yes_no

*sq_ucsure
label variable sq_ucsure "Confidence in coding of sq_UCset"
label values sq_ucsure lb_high_low

*final_x
label variable final_x "x-coordinate of selected point in period"

*final_y
label variable final_y "y-coordinate of selected point in period"

*final_ucset
label variable final_ucset "Does final decision lie inside uncovered set?"
label values final_ucset lb_yes_no

*final_sureuc
label variable final_sureuc "Confidence in coding of Final_UCset"
label values final_sureuc lb_high_low

*new_proposal
label variable new_proposal "New proposal?"
label values new_proposal lb_new_proposal

*sum_sq
label variable sum_sq "Number of votes for status quo point"
label values sum_sq lb_prop

*sum_alt
label variable sum_alt "Number of votes for proposed point"
label values sum_alt lb_prop

*core
label variable core "Core"
label values core lb_core

*core_x
label variable core_x "x-coordinate of core"
label values core_x lb_core2

*core_y
label variable core_y "y-coordinate of core"
label values core_y lb_core2

*dist_core
label variable dist_core "Distance of final result to core (Euclidean distance in points)"
label values dist_core lb_core2

*dist_sq_core
label variable dist_sq_core "Distance of status quo to core (Euclidean distance in points)"
label values dist_sq_core lb_core2

*change_dist_core
label variable change_dist_core "Difference between distance of final result to core and status quo to core"
label values change_dist_core lb_core3
notes change_dist_core: positive values indicate increasing difference to core

*dist_res_sq
label variable dist_res_sq "Euclidean distance in points from final result to status quo"

*win
label variable win "Type of decision outcome"
label values win lb_win

*vote_a_sq
label variable vote_a_sq "Did player A vote for status quo?"
label values vote_a_sq lb_vote

*vote_a_alt
label variable vote_a_alt "Did player A vote for the proposal?"
label values vote_a_alt lb_vote

*vote_b_sq
label variable vote_b_sq "Did player B vote for status quo?"
label values vote_b_sq lb_vote

*vote_b_alt
label variable vote_b_alt "Did player B vote for the proposal?"
label values vote_b_alt lb_vote

*vote_c_sq
label variable vote_c_sq "Did player C vote for status quo?"
label values vote_c_sq lb_vote

*vote_c_alt
label variable vote_c_alt "Did player C vote for the proposal?"
label values vote_c_alt lb_vote

*vote_d_sq
label variable vote_d_sq "Did player D vote for status quo?"
label values vote_d_sq lb_vote

*vote_d_alt
label variable vote_d_alt "Did player D vote for the proposal?"
label values vote_d_alt lb_vote

*vote_e_sq
label variable vote_e_sq "Did player E vote for status quo?"
label values vote_e_sq lb_vote

*vote_e_alt
label variable vote_e_alt "Did player E vote for the proposal?"
label values vote_e_alt lb_vote

*altru_vote
label variable altru_vote "Altruistic vote"
notes altru_vote: Subject voted for proposal even though status offered more points OR Subject voted for status quo even though proposal offered more points
label values altru_vote lb_altru_vote

*altru_vote_a
label variable altru_vote_a "Altruistic vote player A"
notes altru_vote_a: Player A voted for proposal even though status offered more points OR Player A voted for status quo even though proposal offered more points
label values altru_vote_a lb_altru_vote

*altru_vote_b
label variable altru_vote_b "Altruistic vote player B"
notes altru_vote_b: Player B voted for proposal even though status offered more points OR Player A voted for status quo even though proposal offered more points
label values altru_vote_b lb_altru_vote

*altru_vote_c
label variable altru_vote_c "Altruistic vote player C"
notes altru_vote_c: Player C voted for proposal even though status offered more points OR Player A voted for status quo even though proposal offered more points
label values altru_vote_c lb_altru_vote

*altru_vote_d
label variable altru_vote_d "Altruistic vote player D"
notes altru_vote_d: Player D voted for proposal even though status offered more points OR Player A voted for status quo even though proposal offered more points
label values altru_vote_d lb_altru_vote

*altru_vote_e
label variable altru_vote_e "Altruistic vote player E"
notes altru_vote_e: Player E voted for proposal even though status offered more points OR Player A voted for status quo even though proposal offered more points
label values altru_vote_e lb_altru_vote

*altru_loss
label variable altru_loss "Loss altruistic vote"
notes altru_loss: Difference in points between proposal and alternative if subject voted for option offering him/her less points than the other option.
label values altru_loss lb_altru_loss

*altru_loss_a
label variable altru_loss_a "Loss altruistic vote player A"
notes altru_loss_a: Difference in points between proposal and alternative if Player A voted for option offering him/her less points than the other option.
label values altru_loss_a lb_altru_loss

*altru_loss_b
label variable altru_loss_b "Loss altruistic vote player B"
notes altru_loss_b: Difference in points between proposal and alternative if Player A voted for option offering him/her less points than the other option.
label values altru_loss_b lb_altru_loss

*altru_loss_c
label variable altru_loss_c "Loss altruistic vote player C"
notes altru_loss_c: Difference in points between proposal and alternative if Player A voted for option offering him/her less points than the other option.
label values altru_loss_c lb_altru_loss

*altru_loss_d
label variable altru_loss_d "Loss altruistic vote player D"
notes altru_loss_d: Difference in points between proposal and alternative if Player A voted for option offering him/her less points than the other option.
label values altru_loss_d lb_altru_loss

*altru_loss_e
label variable altru_loss_e "Loss altruistic vote player E"
notes altru_loss_e: Difference in points between proposal and alternative if Player A voted for option offering him/her less points than the other option.
label values altru_loss_e lb_altru_loss

*dist_prop
label variable dist_prop "Euclidean distance between proposed point and players ideal point"
label values dist_prop lb_prop

*points_prop
label variable points_prop "Points earned by player if proposal is selected by group"
label values points_prop lb_prop

*dist_sq
label variable dist_sq "Euclidean distance between status quo and players ideal point"

*points_sq
label variable points_sq "Points earned by player if status quo is selected by group"

*points_prop_a
label variable points_prop_a "Points earned by player A if proposal is selected by group"
label values points_prop_a lb_prop

*points_sq_a
label variable points_sq_a "Points earned by player A if status quo is selected by group"

*points_prop_b
label variable points_prop_b "Points earned by player B if proposal is selected by group"
label values points_prop_b lb_prop

*points_sq_b
label variable points_sq_b "Points earned by player B if status quo is selected by group"

*points_prop_c
label variable points_prop_c "Points earned by player C if proposal is selected by group"
label values points_prop_c lb_prop

*points_sq_c
label variable points_sq_c "Points earned by player C if status quo is selected by group"

*points_prop_d
label variable points_prop_d "Points earned by player D if proposal is selected by group"
label values points_prop_d lb_prop

*points_sq_d
label variable points_sq_d "Points earned by player D if status quo is selected by group"

*points_prop_e
label variable points_prop_e "Points earned by player E if proposal is selected by group"
label values points_prop_e lb_prop

*points_sq_e
label variable points_sq_e "Points earned by player E if status quo is selected by group"

*ag_prop_points
label variable ag_prop_points "Points earned by proposer if group selects proposal"
label values ag_prop_points lb_prop

*ag_sq_points
label variable ag_sq_points "Points earned by proposer if group selects status quo"

*ag_dec_x
label variable ag_dec_x "x-coordinate of proposers decision (new proposal or maintenance of status quo)"

*ag_dec_y
label variable ag_dec_y "y-coordinate of proposers decision (new proposal or maintenance of status quo)"

*ag_altru1
label variable ag_altru1 "Altruistic proposer 1"
notes ag_altru1: Did proposer propose a point offering him/her less points than the current status quo?
label values ag_altru1 lb_ag_altru1

*loss_ag_altru1
label variable loss_ag_altru1 "Loss altruistic proposer 1"
notes loss_ag_altru1: Difference in points if proposer proposed a point offering him/her less points than the current status quo.
label values loss_ag_altru1 lg_loss_ag_altru1

*ag_altru2
label variable loss_ag_altru2 "Loss altruistic proposer 2"
notes ag_altru2: Did proposer propose a point OR maintain the current status quo offering him/her less points than the optimal proposal?
label values ag_altru2 lb_yes_no

*loss_ag_altru2
label variable loss_ag_altru2 "Loss altruistic proposer 2"
notes loss_ag_altru2: Difference in points between proposers optimal choice and actual choice if AG-altru2=1
label values loss_ag_altru2 lg_loss_ag_altru2

*ag_askformore
label variable ag_askformore "Did proposer ask for more than optimal?"
notes ag_askformore: Did proposer propose a point offering more points than agenda setters optimal winning proposal?
label values ag_askformore lb_yes_no

*diffag_prop_opt
label variable diffag_prop_opt "Difference proposal vs. optimal proposal"
notes diffag_prop_opt: Difference in proposers points between proposal (or status quo if agenda setter maintains status quo) and agenda setters optimal proposal

*agenda_try
label variable agenda_try "Did proposer try points in decision space?"
label values agenda_try lb_yes_no

*agenda_try_max
label variable agenda_try_max "Number of points looked at by agenda setter before submitting a decision"

*num_betterwin
label variable num_betterwin "Number alternatives looked at better than proposer's decision"
notes num_betterwin: Number of points looked at by agenda setter before submitting a decision guaranteeing the agenda setter MORE points than the proposal and which are preferred by majority in comparison to status quo.
label values num_betterwin lb_num_betterwin

*loss_ag_betterwin
label variable loss_ag_betterwin "Loss 'better win'"
notes loss_ag_betterwin: Difference in points between points_best_try and AG_prop_points (if proposer makes a new proposal) or AG_sq_points (if proposer maintains the status quo)
label values loss_ag_betterwin lb_loss_ag_betterwin

*dist_best_try
label variable dist_best_try "Distance proposer's best try"
notes dist_best_try: Distance in points between proposers ideal point and point offering agenda setter the maximal number of points of all tried points offering him/her more points than the point actually proposed and which are majority preferred by in comparison to status quo.
label values dist_best_try lb_loss_ag_betterwin

*points_best_try
label variable points_best_try "Points proposer's best try"
notes points_best_try: Maximum number of points gained by proposer of all tried points offering him/her more points than the point actually proposed and which are majority preferred by in comparison to status quo.
label values points_best_try lb_loss_ag_betterwin

*x_best_try
label variable x_best_try "x-coordinate of proposer's best try"
notes x_best_try: x-coordinate of point offering proposer the maximal number of points of all tried points offering him/her more points than the point actually proposed and which are majority preferred by in 
label values x_best_try lb_loss_ag_betterwin

*y_best_try
label variable y_best_try "y-coordinate of proposer's best try"
notes y_best_try: y-coordinate of point offering proposer the maximal number of points of all tried points offering him/her more points than the point actually proposed and which are majority preferred by in comparison to status quo.
label values y_best_try lb_loss_ag_betterwin

*besttry_ucset
label variable besttry_ucset "Does 'best_try' lie inside uncovered set?"
label values besttry_ucset lb_besttry_ucset

*besttry_ucsure
label variable besttry_ucsure "Confidence in coding of besttry_ucset"
label values besttry_ucsure lb_besttry_ucsure

*ag_x_opt
label variable ag_x_opt "x-coordinate of optimal proposal of proposer given status quo"

*ag_y_opt
label variable ag_y_opt "y-coordinate of optimal proposal of proposer given status quo"

*ag_opt_ucset
label variable ag_opt_ucset "Does ag_opt lie inside uncovered set?"
label values ag_opt_ucset lb_yes_no

*ag_opt_ucsure
label variable ag_opt_ucsure "Confidence in coding of AG_opt_UCset"
label values ag_opt_ucsure lb_high_low

*distanceag_opt
label variable distanceag_opt "Distance between proposers ideal point and optimal proposal of proposer"

*distanceag_sq
label variable distanceag_sq "Distance between proposers ideal point and the current status quo"

*points_ag_opt
label variable points_ag_opt "Number of points gained by proposer for proposers optimal proposal"

*points_a_opt
label variable points_a_opt "Number of points gained by player A for proposers optimal proposal"

*points_b_opt
label variable points_b_opt "Number of points gained by player B for proposers optimal proposal"

*points_c_opt
label variable points_c_opt "Number of points gained by player C for proposers optimal proposal"

*points_d_opt
label variable points_d_opt "Number of points gained by player D for proposers optimal proposal"

*points_e_opt
label variable points_e_opt "Number of points gained by player E for proposers optimal proposal"

*perf_rat
label variable perf_rat "Perfectly rational decision?"
notes perf_rat: DiffAG_prop_opt =!0 OR altru_vote_A==1 OR altru_vote_B==1 OR altru_vote_C==1 OR altru_vote_D==1 OR altru_vote_E==1
label values perf_rat lb_yes_no

*x
label variable x "Last x-coordinate tried by proposer before making a decision"

*y
label variable y "Last y-coordinate tried by proposer before making a decision"

*totalprofit_a
label variable totalprofit_a "Sum of profits of player A from current and all previous period"

*totalprofit_b
label variable totalprofit_b "Sum of profits of player B from current and all previous period"

*totalprofit_c
label variable totalprofit_c "Sum of profits of player C from current and all previous period"

*totalprofit_d
label variable totalprofit_d "Sum of profits of player D from current and all previous period"

*totalprofit_e
label variable totalprofit_e "Sum of profits of player E from current and all previous period"

*guess_a
label variable guess_a "Players guess of 'totalprofit_a'" 

*guess_b
label variable guess_b "Players guess of 'totalprofit_B'" 

*guess_c
label variable guess_c "Players guess of 'totalprofit_C'" 

*guess_d
label variable guess_d "Players guess of 'totalprofit_D'" 

*guess_e
label variable guess_e "Players guess of 'totalprofit_E'" 

*guess_own
label variable guess_own "Players guess of own 'totalprofit'"

*abweichung_a
label variable abweichung_a "Difference(in percentage points) between 'guess_a' and 'totalprofit_a'"

*abweichung_b
label variable abweichung_b "Difference(in percentage points) between 'guess_b' and 'totalprofit_b'"

*abweichung_c
label variable abweichung_c "Difference(in percentage points) between 'guess_c' and 'totalprofit_c'"

*abweichung_d
label variable abweichung_d "Difference(in percentage points) between 'guess_d' and 'totalprofit_d'"

*abweichung_e
label variable abweichung_e "Difference(in percentage points) between 'guess_e' and 'totalprofit_e'"

*abweichung_own
label variable abweichung_own "Difference in percentage points between 'guess_own' and own 'totalprofit'"

*m_abweichung_oth
label variable m_abweichung_oth "Mean differences other players guesses and other players totalprofit"

*zusatzpunkte
label variable zusatzpunkte "Possible earnings from each of the five additional questions"

*add_points_a
label variable add_points_a "Points earned in 1st question"

*add_points_b
label variable add_points_b "Points earned in 2nd question"

*add_points_c
label variable add_points_c "Points earned in 3rd question"

*add_points_d
label variable add_points_d "Points earned in 4th question"

*add_points_e
label variable add_points_e "Points earned in 5th question"

*profit2
label variable profit2 "Sum of 'add_points_a' to 'add_points_e'"

*time_decision_proposer
label variable time_decision_proposer "Decision time of proposer (in seconds)"

*time_decision_voter
label variable time_decision_voter "Decision time of voter (in seconds)"

*time_in_stage1
label variable time_in_stage1 "Time for group decision (in seconds)"

*profit_a
label variable profit_a "Profit of player A in current period"

*profit_b
label variable profit_b "Profit of player B in current period"

*profit_c
label variable profit_c "Profit of player C in current period"

*profit_d
label variable profit_d "Profit of player D in current period"

*profit_e
label variable profit_e "Profit of player E in current period"

*age
label variable age "Age of participant"
label values age lb_noanswer

*sex
label variable sex "Participant's sex"
label values sex lb_sex

*student
label variable student "Is participant student?"
label values student lb_yes_no_noanswer

*econ_student
label variable econ_student "Is participant student of economics, management or related field?"
label values econ_student lb_yes_no_noanswer

*semester
label variable semester "Number of semesters studied by participant"
label values semester lb_noanswerlabel

*experimental_experience
label variable experimental_experience "Experimental experience"
label values experimental_experience lb_noanswer
notes experimental_experience: In how many prior experiments do you have participated so far? (If you do not know the exact number, please guess.)

*similar_experiment
label variable similar_experiment "Similar experiment"
label values similar_experiment lb_yes_no_noanswer
notes similar_experiment: Have you ever participated in an experiment with similar rules like todays experiment?

*question1
label variable question1 "Evaluation own payouts"
notes question1: How content are you with your own personal payout from this experiment?
notes question1: 0 = very discontent; 5 = very content

*question2
label variable question2 "Evaluation other payouts"
notes question2: How fair do you consider the payouts of the other members of your group in this experiment?
notes question2: 0 = not fair at all; 5 = very fair

*question3
label variable question3 "Evaluation fairness as useful category"
notes question3: Fairness is no useful category for the evaluation of the outcomes of this experiment 
notes question3: 0 = dont agree at all; 5 = fully agree


